w3hello.com logo
Home PHP C# C++ Android Java Javascript Python IOS SQL HTML videos Categories
Does bundle package install gems globally
From the Bundler docs: The package command will copy the .gem files for your gems in the bundle into ./vendor/cache. As far as I can tell, Bundler does not handle installing gems, it passes that off to the gem command. What Bundler does is to make sure that you have the right version of the gem activated. So even when you package the gems, when you later install them it'll take those gems and install them "globally". So, to answer your question: No, you didn't do anything wrong and this is not a bug but the intended behaviour.

Categories : Ruby On Rails

Put dotNet Install Package Locally with WPF Program
Standard way of doing this is by creating an installation and setup package which will include your application as well as the .NET framework. The user will run your setup program and install what is required. EDIT : If you do not want to use an Installer you could use Ngen. The Native Image Generator (Ngen.exe) is a tool that improves the performance of managed applications. Ngen.exe creates native images, which are files containing compiled processor-specific machine code, and installs them into the native image cache on the local computer. The runtime can use native images from the cache instead using the just-in-time (JIT) compiler to compile the original assembly. Unfortunately, you still need the libraries from the .net framework in order to run your program. Ther

Categories : Dotnet

Install R package "sqldf" (RSQLite.extfuns) locally
I was having some issues here too. I updated R to the latest version, updated all the packages, reinstalled the sqldf package and everything seemed to work. For me it was just that something was outdated

Categories : R

Way to load locally developed magento extension
You can upload packaged Magento extension by going to: System > Magento Connect > Magento Connect Manager then uploading the package under the Direct package file upload section. Furthermore, if you decide not to package your extension, just copy the working file structure of your extension to it's own folder, and you can simply drop your extension files into the working root directory of compatibility Magento installs. Just be sure your extension file structures are correct. EX: app/code/local/MyNamespace/MyExtension etc.

Categories : Magento

What's an npm command to install devDependencies globally?
You are using npm install -g <pkg> wrong here. -g indicates, that it's no project dependencies, than rather you global (PC wide). Those plugins are no devDependencies, but CLI runners. What you want is npm install --save-dev every single package upon initialisation. When you need to install those dependencies again you'd just run npm install and include something like ./node_modules/.bin/jshint to your package.json scripts in order not to depend on the CLIs.

Categories : Node Js

How to get my module to work globally? Is there any config in package.json?
Use npm install . -g in the root of a module to install it globally. See the docs. The bin property in you package.json is used to specify which executables should be added to the PATH. See the docs. For example: { "name": "my-module", "bin": "./bin/script.js" }

Categories : Node Js

nodejs npm unable to install globally from github URL
Even though it fails, Express was still installed by the looks of it. The reason NPM fails is because it performs a sanity check of your locally installed modules, and that check fails because of an invalid peer dependency (explained here). That issue might not be directly related to Express, but NPM doesn't know that so I think it will assume that the issue might cause problems and it will require the issue to be resolved. I also think that any package you would have installed, not just Express, would have triggered the same error. As you already found out, removing the offending packages solves it (another solution might have been to update them, provided that newer versions fix the problem). How they got installed in the first place, I don't know. Perhaps they were installed with an N

Categories : Node Js

cannot find module express, how to install it to make it globally available?
Take a look into package.json, package.json in nodejitsu All npm packages contain a file, usually in the project root, called package.json - this file holds various metadata relevant to the project. This file is used to give information to npm that allows it to identify the project as well as handle the project's dependencies a package.json example: { "name": "CRUD", "description": "A simple CRUD", "author": "Only for learn", "dependencies": { "express": "*", }, } so for install the dependencies go to level that package.json is, and run npm install this one will install all the dependencies you need for the project. EDIT a package.json interactive guide

Categories : Node Js

Pip install python package into a specific directory other than the default install location
System: Ubuntu 12.04, Enthought Python Distribution (this is where I wanted to install a new python module) So the prefix_path environment variable didn't work for me and pip still kept installing it in the default location. But I used change default directory for pip install question as a guide. And one of the answers helped me achieve what I needed. pip install -d <path_to_my_directory> For the path I used: path_to_epd_directory/lib/python2.7/site-packages This puts the tar.gz file into the site-packages Then extract it using: tar -zxvf pymodule.tar.gz a directory named pymodule is created, cd into that module and type: python setup.py install and that should do the job.

Categories : Python

Can mvn install packages globally (e.g. command line tools like nutch)?
Since maven is java based and from java you can do anything, and you can write your own life-cycles and goals, the answer is: yes, it is possible. Here you can found an example: https://community.jboss.org/wiki/CreatingACustomLifecycleInMaven It is also possible execute a custom script - or whatever you want - with Exec Maven Plugin For more, see: http://mojo.codehaus.org/exec-maven-plugin/ Or on stackoverflow: I want to execute shell commands from maven's pom.xml Regards

Categories : Java

Install-Package : Unable to find package 'WebActivator'
So easy https://www.nuget.org/packages/WebActivator Need point version of webActivator!!! PM> Install-Package WebActivator -Version 1.5.3

Categories : C#

Blocking a package install in PHP Composer to use a fork of the package
You cannot really block them. You might be able to disable the fetching of info from packagist.org, but this will affect all packages. What you should do is add an alias for behat/mink. See the documentation of composer aliases. Try to avoid branch aliases, use the inline alias.

Categories : PHP

Install Popt locally
If it is for your own use within your source code: you can install it locally and not to /usr but if you run application expects libpopt.so to be located in /usr you must to have write permmision to /usr in order it to be installed there.

Categories : C

How to install ipython notebook locally?
Take a look at the adamdklein blog post. It takes you step-by-step through how to setup ipython and other mathematical goodies in a virtualenv (using Ubuntu).

Categories : Python

Divert to locally stored maven-install-plugin
If you don't have internet access, I assume you have a mirror of maven central available on your intranet. If it's the case you must configure your settings.xml to declare the mirror. So add something like that in your settings.xml file: <mirrors> <mirror> <id>central-mirror</id> <name>Local mirror of central repo</name> <url>http://unity.apps.company.net/nexus/content/repositories/central</url> <mirrorOf>central</mirrorOf> </mirror> </mirrors> EDIT Other thing to look at : you may need to configure some proxy settings (it seems strange that they aren't already there...) see this

Categories : Maven

How can one locally install an extension to an existing system python module?
With a change to the basemap package (submitted here https://github.com/matplotlib/basemap/pull/154) I could import the out-of-system-wide mpl_toolkits.basemap in a way like this: (this was quickly made, some of the stuff is probably not necessary) mybasemap.py in the basemap mpl_toolkits dir (might need to change those): from mpl_toolkits import * import mpl_toolkits import sys sys.path.insert (0, './mpl_toolkits/') sys.path.insert (1, './') from basemap import Basemap then do: from mybasemap import Basemap in the final script (after adding the path to mybasemap.py).

Categories : Python

I can´t install nodemon globally, "nodemon" not recognized
Since node prefix is not in the PATH ENV variable , any of the globally installed modules are not getting recognized. Please try this. Open cmd prompt npm config get prefix append the resulting path to PATH env variable. Now you should be able to run nodemon from any location. This is what i have done on my local machine C:>npm config get prefix C:UsersusernameAppDataRoaming pm C:>set PATH=%PATH%;C:UsersusernameAppDataRoaming pm; C:>nodemon 31 Jul 22:30:29 - [nodemon] v0.7.8 31 Jul 22:30:29 - [nodemon] to restart at any time, enter `rs` 31 Jul 22:30:29 - [nodemon] watching: C: 31 Jul 22:30:29 - [nodemon] starting `node ` ^CTerminate batch job (Y/N)? Y

Categories : Node Js

How to install PHP .rar package?
You need SSH access to the Linux machine you want to install this on. By the sound of your comments you either don't have SSH access (shared hosts) or don't know how to use it. If you have SSH access to the server you're working on use a program like PuTTY to establish an SSH connection to the server. Once you've logged in with your SSH credentials type these commands: cd /tmp wget http://pecl.php.net/get/rar-3.0.1.tgz gunzip rar-3.0.1.tgz tar -xvf rar-3.0.1.tar cd rar-3.0.1 phpize ./configure && make && make install

Categories : PHP

Install Java Package
You can use ports. The recommended Java implementation is OpenJDK in /usr/ports/java/openjdk7. You can use the Linux implementation of Sun's (now Oracle) java with /usr/ports/java/linux-sun-jdk17. Note that this has some legal restrictions, see the port Makefile.

Categories : Java

Install and open package through adb
With aapt you can find the launchable activity, for example: $ aapt dump badging file.apk | grep package package: name='com.triposo.droidguide.world' versionCode='161' versionName='2.1' $ aapt dump badging file.apk | grep launchable launchable-activity: name='com.triposo.droidguide.world.SplashActivity' label='' icon='' To specify an intent when you launch an activity, you can use a MonkeyRunner script and MonkeyDevice.startActivity: from com.android.monkeyrunner import MonkeyRunner device = MonkeyRunner.waitForConnection() package = 'com.triposo.droidguide.world' launchable_activity = 'com.triposo.droidguide.world.SplashActivity' device.startActivity(component='%s/%s' % (package, launchable_activity)))

Categories : Android

Where do I install NuGet Package
The worker role project will have necessary dependencies when you configure it for caching via the properties dialog window. Then you need to add reference to the caching assembly only to the project that uses the cache, and make sure you mark it with True value for the Copy Local attribute.

Categories : Azure

How to install a package using the python-apt API
I have no experience with the API you are reffering to, but: I've done plenty co-op python-projects eariler (in for example Django) using Github. We found out that the best approch was to provide a requirements.txt that the user has to install by doing pip install requirements.txt -r on their server or in their env. It is also simple to make a python-file that checks if all the required modules are installed or not. I think it's a bad thing to automaticly install packages on someone's server without their approval. Simple reading the content of requirements.txt would reveal what has to be installed.

Categories : Python

Install experimental package on debian
Add deb http://ftp.debian.org/debian experimental main contrib non-free to your /etc/apt/sources.list or into /etc/apt/sources.list.d/experimental.list then execute apt-get update apt-get -t experimental install deluge See Debian Wiki

Categories : Linux

How to install ROracle package on Windows 7?
I had exactly this problem. It was caused because when installing RTools I did not check the 'edit PATH' checkbox. I uninstalled RTools and reinstalled it again, this time making sure the checkbox was checked, and it worked first time! Hope this helps.

Categories : R

How to install the latest Scrapyd package?
Scrapyd is now a separate project as of 0.18. It looks like right now they only have it hooked up to aptitude: aptitude install scrapyd-0.18 More here. EDIT: well, I researched it myself: ben@nixbox:~$ aptitude versions scrapyd Package scrapyd-0.14: p 0.14.4+1351083316 <NULL> 500 Package scrapyd-0.15: p 0.15.1-309-gc3e91ba+1350590037 <NULL> 500 Package scrapyd-0.16: p 0.16.5+1375718980 <NULL> 500 Package scrapyd-0.17: p 0.17.1-22-gaa883be+1372791583 <NULL> 500 Sigh. Their documentation strongly implies that you can find scrapyd-0.18 on aptitude, but as of this wri

Categories : Python

Install libpq-dev package error
This should let you install the package you need :) Just tried it myself, I am not sure you will need all the packages on the second line, try it and see :) apt-get update apt-get install libxslt-dev libxml2-dev libpam-dev libedit-dev aptitude install -t squeeze-backports postgresql-server-dev-9.1

Categories : Postgresql

How to prevent setuptools install package as an .egg
I've discovered that python setup.py install --old-and-unmanageable does the job, but I am not sure it is a good way as --old-and-unmanageable is marked "Try not to use this!".

Categories : Python

How to install a package not located on CRAN?
I think a package builds differently for linux than to windows so a .gz version can't be converted to .zip This link indicates you should be able to use just the unzipped version... http://decisionstats.com/2013/04/26/using-a-linux-only-package-in-windows-rstats/ The comment in it suggests devtools or Rtools, both of which will allow direct installation from the gz file To unzip and use directly Extract from tar.gz to .tar Extract from .tar Set the working directory to the R subfolder e.g. Setwd( "C:\Users\x\Documents\RGoogleTrends_0.2-1.tar\RGoogleTrends_0.2-1\RGoogleTrends\R") Load all functions for (i in list.files()){source(i)} To use devtools Install devtools library("devtools") Setwd to folder containing .tar.gz file install("RGoogleTrends_0.2-1.tar.gz") To use Rtools D

Categories : R

Failed to install ssh-0.2.12 (haskell package )
This is because ssh just depends on cryptohash without an uppper version bound. It was probably written against cryptohash 0.9.1, in which the MD5 constructor existed and where it is marked as deprecated, but now cryptohash 0.10.0 is out which doesn't contain it anymore. Your cabal will install the latest versions of dependencies if there are no restrictions on them. The right thing to do is to file a bug against the ssh package so that it gets updated. You can find a bugtracker URL on its hackage page. Note: It is controversial whether upper version bounds are good or bad.

Categories : Haskell

Cannot install netCDF4 python package on OS X
You might need to set the HDF5_DIR environment variable to the location where you install HDF5; it's looking in the standard install paths and not finding the headers for HDF5 - hence at least one of your errors. You can simply set it before calling pip: HDF5_DIR=/usr/local/hdf5 pip install netCDF4 or export it and then call pip: export HDF5_DIR=/usr/local/hdf5 pip install netCDF4

Categories : Python

How do I install a package with npm with a different/custom module name
One way would be to put it in your package json file and then run npm install... Something like this "dependencies": { "public": "git://github.com/user/repo.git#ref", "private": "git+ssh://git@github.com:user/repo.git#ref" } Source:http://www.devthought.com/2012/02/17/npm-tricks/

Categories : Node Js

Install package from local Zip w/ R - 'does not exist'
libcurl is not an R package. You need to install it on your machine with whatever system resources are appropriate. (The R package, RCurl does require that libcurl be present.) http://curl.haxx.se/libcurl/ You should probably edit the tags to include your OS and remove the zip, r and local tags, ... oh heck, I'll do the second part.

Categories : Misc

Dart Pub error on package install?
Try pub update rather than pub install so that cached packages are updated where possible. Then use Reanalyze Sources from the same Tools menu. Be sure to clear any logs before running the Reanalyze Sources so you can be sure it did a clean build. If that doesn't get you completely clean, delete any packages directories you see in the project's tree, and any out directories that might be hanging around, as well as the pubspec.lock file. Then run pub install. That usually gets me back to clean builds.

Categories : Dart

Why my package name change when i install the application?
Answer on the first question: Android just changes the apk name, not the package name Second question: Change the java packages within your IDE, make sure that the MyScheduleReceiver is in the right package. And you should add a . in front of the name, this will make it add the package name to the receivers name like: <receiver android:name=".MyScheduleReceiver" >

Categories : Android

Trying to install Python - excel read package
The reason write package worked fine because there are no version checking code in it. So its essential that you have to install python v2.7, because it seems write package use <2.6 code and read package use >2.6 code. To tie both end , you need only v2.7. So uninstall every python installation ( old and new ) and install v2.7.

Categories : Python

npm install error - invalid package.json
The error means exactly what it states, the JSON in your package.json is not valid and can't be parsed properly. Change "debug" "~0.7.2" to "debug": "~0.7.2".

Categories : Json

How to install current OpenPYXL package on Ubuntu
The Python packages available in the Ubuntu repositories generally don't get updated within an Ubuntu version, only when you upgrade to a newer Ubuntu release. When you need newer versions of a Python package, you can use pip to get the newest version from the Python Package Index: sudo pip install openpyxl

Categories : Python

How to use default Package Installer (Android) when trying to install an APK from another app?
Problem Solved. Intent intent = new Intent(Intent.ACTION_VIEW); intent.setClassName("com.android.packageinstaller", "com.android.packageinstaller.PackageInstallerActivity");

Categories : Android

Not able to run the code on Github : NPM Install and JSON package
Just do npm install ot This will install the node package you linked to on github. You can see the name of the package in the package.json file // package.json { "name": "ot", "description": "Collaborative editing using operational transformation", // ...

Categories : Node Js

sequelize.js - You need to install mysql package manually
You need to install the mysql npm module: npm install mysql The reason sequelize doesn't have the mysql module as its own dependency is because it can be used with other databases such as postgres or sqlite.

Categories : Mysql



© Copyright 2017 w3hello.com Publishing Limited. All rights reserved.